import argparse
import numpy as np
import pandas as pd


def main():
    parser = argparse.ArgumentParser()
    parser.add_argument('--input-csv', default=None)
    args = parser.parse_args()

    input_csv = args.input_csv
    df = open(input_csv, 'r')

    lines = df.readlines()

    skips = list()
    skipfooters = list()
    count = 1
    for line in lines:
        items = line.split()

        if items == []:
            count += 1
            continue

        if items[0] == 'BLOCK':
            skips.append(count+2)
            skipfooters.append(count-2)

        count += 1

    skipfooters.append(count)

    skipfooters = np.array(skipfooters)
    skipfooters = count-skipfooters

    out_tec = 'out.tec'
    outdf = open(out_tec, 'w')
    outdf.write('TITLE="TEST EXAMPLE"\n')

    for num in range(len(skips)):
        zf = pd.read_csv(input_csv, skiprows=skips[num], skipfooter=skipfooters[num+1], engine='python', sep='\s+')

        if num == 0:
            columns = list(zf.columns) 
            outdf.write('VARIABLES=')
            for col in range(len(columns)-1):
                outdf.write('"{}",'.format(columns[col]))
            outdf.write('"{}"\n'.format(columns[col+1]))

        I = zf['I'].max() - zf['I'].min() + 1
        J = zf['J'].max() - zf['J'].min() + 1
        K = zf['K'].max() - zf['K'].min() + 1

        print('ZONE T="ZONE{}", I={}, J={}, K={}, DATAPACKING=POINT\n'.format(num, K, J, I))
        outdf.write('ZONE T="ZONE{}", I={}, J={}, K={}, DATAPACKING=POINT\n'.format(num, K, J, I))
        zf.to_csv(outdf, header=False, index=False, sep=' ', mode='a')


if __name__ == '__main__':
    main()
    